package com.zcxk.evaluation.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.evaluation.entity.EvaluationItemValueEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 考评项分值Service接口
 *
 * @author: WYY
 * @date 2021-05-08 09:27
 */
public interface EvaluationItemValueService {
    /**
     * 自定义分页查询，含关联实体对像
     */
    public IPage<EvaluationItemValueEntity> findPage(IPage<EvaluationItemValueEntity> page, EvaluationItemValueEntity evaluationItemValueEntity);

    /**
     * 查列表
     */
    public List<EvaluationItemValueEntity> findList(EvaluationItemValueEntity evaluationItemValueEntity);

    /**
     * 批量删除
     */
    public boolean delEvaluationItemValueByIds(Long[] ids);

    /**
     * 单个删除
     */
    public boolean delEvaluationItemValueById(Long id);
    /**
     * 修改状态为删除
     */
    public boolean updateByItemId(@Param("id") Long id);
    /**
     * 保存
     */
    public boolean addEvaluationItemValue(EvaluationItemValueEntity evaluationItemValue);

    /**
     * 修改根居ID
     */
    public boolean updateEvaluationItemValueById(EvaluationItemValueEntity evaluationItemValue);

    /**
     * 根居ID获取对象
     */
    public EvaluationItemValueEntity findEvaluationItemValueById(Long id);

    public boolean saveOrUpdate(EvaluationItemValueEntity evaluationItemValue);

}
